# Fx

## FxImage

FxImage() applies a mathematical expression to the specified image.

The format of the FxImage method is:

    Image *FxImage(const Image *image,const char *expression,
      ExceptionInfo *exception)
    Image *FxImageChannel(const Image *image,const ChannelType channel,
      const char *expression,ExceptionInfo *exception)

A description of each parameter follows:

image
  the image.
channel
  the channel.
expression
  A mathematical expression.
exception
  return any errors or warnings in this structure.